SchoolScout API
DistrictsDistrictidRfps

Get district RFPs

Get active procurement opportunities for a district. Requires unlock. **Free (0 credits) once unlocked.**

GET
/districts/{districtId}/rfps

Get active procurement opportunities for a district. Requires unlock. Free (0 credits) once unlocked.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Path Parameters

districtId*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/districts/497f6eca-6276-4993-bfeb-53cbbbba6f08/rfps"
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "entity_type": "string",
      "entity_id": "550e8400-e29b-41d4-a716-446655440000",
      "batch_id": "550e8400-e29b-41d4-a716-446655440000",
      "title": "string",
      "category": "string",
      "url": "string",
      "deadline": "string",
      "posted_date": "string",
      "status": "open",
      "estimated_value": 0,
      "priority": "low",
      "discovered_at": "string",
      "source_url": "string",
      "notes": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
Empty